php совместимость

PHP WordPress проверка совместимости темы плагины

Есть вопросы? Напиши комментарий!

 Привет ! Мы продолжаем разбирать самые интересные и самые полезные плагины для сайта wordpress ! Сегодня вы узнаете о плагине, который позволит вам проверить совместимость вашего сайта с последними php версиями 7.0, 5.5, 5.4, 5.3. Вы сможете проверить совместимость как с активными темами и плагинами, так и с неактивными темами и плагинами сайта. Плагин очень простой и не имеет лишних настроек !

 Установить плагин PHP Compatibility Checker вы сможете прямо из админ-панели wordpress. Перейдите на страницу: ПлагиныДобавить новый, введите название плагина в форму поиска, нажмите Enter, установите и активируйте плагин.

 

PHP Compatibility Checker

 

 После установки и активации плагина, перейдите на страницу: ИнструментыPHP Compatibility. На странице плагина, вам нужно выбрать версию php и тип проверки, затем нажать на кнопку – Run. Есть два типа проверки:

 

– Only scan active plugins and themes, проверять только активные плагины и темы.

– Scan all plugins and themes, проверять все плагины и темы.

 

Инструменты

 

 Далее, начнётся проверка, дождитесь её окончания.

 

проверка php

 

 Далее, после окончания проверки, вам покажут результат по каждому плагину и по каждой теме. Зелёная галочка означает, что проблем с совместимостью нет. Можно посмотреть детали проверки, нажав на вкладку – View detalis.

 

результат проверки

 

 Знак вопроса означает, что сервер не справился с нагрузкой, такое может возникнуть на бесплатном хостинге, как и в данном примере.

 Остались вопросы ? Напиши комментарий ! Удачи !

 




ТОП Блог
PHP WordPress проверка совместимости темы плагины обновлено: Август 15, 2016 автором: Илья Журавлёв

5 комментариев

  • nikiforova111258 07.02.2019 Ответить

    Здравствуйте! Проверила совместимость своего сайта с последними php версиями 7.0 с помощью плагина PHP Compatibility Checker. Вы в своей статье написали, что в итоге если будет знак вопроса, это означает, что сервер не справился с нагрузкой, такое может возникнуть на бесплатном хостинге, как и в данном примере.Но у меня хостинг платный, но все равно выдал на некоторые плагины знак ?. И еще что значит, если стоит зеленая галочка, а рядом предупреждение, а также напротив двух плагинов стоит ошибка? Как их надо исправлять? Спасибо за ответ

    • Илья Журавлёв 08.02.2019 Ответить Автор

      Добрый вечер. Если стоит зелёная галочка и предупреждение, значит плагин совместим с php версией, но есть ошибки, которые не влияют на совместимость. Если есть красный значок, значит плагин не совместим. Нужно нажать по нему и там откроется пояснение по ошибке, описание, где находится и т.д. Чтобы исправить ошибку, нужно сначала прочитать, что это за ошибка, в каком файле она воспроизводится, в какой строке и т.д. Потом уже выводы делать.

  • nikiforova111258 08.02.2019 Ответить

    Илья, спасибо за ответ! Если честно, то когда открыла красный значок, то там такое пояснение, которое мне понять не совсем получается.
    Файл: /Главная/с/cm98084/вордпресс/public_html/WP-содержание/плагины/и WP-pagenavi-стиль/включает в себя/варианты.РНР
    —————————————————————————————————————
    НАЙДЕНО 2 ОШИБКИ, ВЛИЯЮЩИЕ НА 1 СТРОКУ
    —————————————————————————————————————
    70 | ERROR | Function eregi() устарел с PHP 5.3 и удален с PHP 7.0; вместо этого используйте preg_match()
    70 | ERROR | Extension ‘ereg’ устарел с PHP 5.3 и удален с PHP 7.0; вместо этого используйте pcre———————————–
    Я так понимаю, что этот плагин надо удалить, и найти ему замену? Или я не права?

    • Илья Журавлёв 08.02.2019 Ответить Автор

      Да, всё верно, либо найдите другой подобный плагин, либо исправьте ошибку.

  • nikiforova111258 08.02.2019 Ответить

    Спасибо!

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Внимание! Вы соглашаетесь с Политикой конфиденциальности сайта info-effect.ru



Обратная связь

Политика конфиденциальности - Пользовательское соглашение